Bug 144166 - internal compiler error: Segmentation fault
Summary: internal compiler error: Segmentation fault
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 137160
TreeView+ depends on / blocked
 
Reported: 2005-01-04 21:27 UTC by Steve Singer
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2005-257
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 10:57:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The GCC debugging output (154.92 KB, text/plain)
2005-01-04 21:30 UTC, Steve Singer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:257 normal SHIPPED_LIVE gcc bug fix update 2005-06-09 04:00:00 UTC

Description Steve Singer 2005-01-04 21:27:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040616

Description of problem:
GCC produces an internal compiler error.  
See attachement for the GCC preprocessor output.



Version-Release number of selected component (if applicable):
3.4.2-6.fc3 

How reproducible:
Always

Steps to Reproduce:
1.Rename attached file to segfault.c
2.gcc segfault.c
3.
    

Actual Results:  source/CSWxn_class.c: In function `vCsWxnConstruct':
source/CSWxn_class.c:76: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cc7rB4iQ.out file, please attach
this to your bugreport.


Expected Results:  GCC 2.96 compiles the program cleanly.

I would expect GCC 3.4 to do the same or at least generate compile
time error/warnings on why it won't.


Additional info:

Comment 1 Steve Singer 2005-01-04 21:30:08 UTC
Created attachment 109347 [details]
The GCC debugging output

Comment 2 Steve Singer 2005-01-04 22:07:38 UTC
By including a header file(one that should be included) the problem
goes away.

But the compiler still should generate an error not segfault.


Comment 4 Jakub Jelinek 2005-02-21 16:01:10 UTC
This is fixed in 3.4.3-12 and up and will be included in RHEL4 U1.

Comment 8 Jay Turner 2005-04-05 12:47:04 UTC
gcc-3.4.3-22 is included in the latest U1-candidate composes.

Comment 9 Jay Turner 2005-04-16 10:44:49 UTC
Moving to PROD_READY.

Comment 10 Tim Powers 2005-06-09 10:57:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-257.html



Note You need to log in before you can comment on or make changes to this bug.